> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindfort.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Discovery Schedule



## OpenAPI

````yaml /openapi.json put /v1/discovery/schedule
openapi: 3.1.0
info:
  title: MindFort API
  version: 1.0.0
  description: >-
    The MindFort Public API supports targets, Discovery, assessments, finding
    lifecycle and analytics, and reports. Informational non-vulnerable results
    are labeled `secured`.
servers:
  - url: https://api.mindfort.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/discovery/schedule:
    put:
      tags:
        - Discovery
      summary: Update Discovery Schedule
      operationId: updateDiscoverySchedule
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DiscoveryScheduleUpdate'
      responses:
        '200':
          description: Updated Discovery schedule
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDiscoveryScheduleResponse'
components:
  schemas:
    DiscoveryScheduleUpdate:
      type: object
      properties:
        enabled:
          type: boolean
        cadence:
          type: string
          enum:
            - daily
            - weekly
        day_of_week:
          type:
            - integer
            - 'null'
          minimum: 0
          maximum: 6
        time:
          type: string
          pattern: ^(?:[01]\d|2[0-3]):[0-5]\d$
        timezone:
          type: string
          minLength: 1
      required:
        - enabled
        - cadence
        - time
        - timezone
      allOf:
        - if:
            properties:
              cadence:
                const: weekly
            required:
              - cadence
          then:
            required:
              - day_of_week
            properties:
              day_of_week:
                type: integer
          else:
            properties:
              day_of_week:
                type: 'null'
      additionalProperties: false
    PublicDiscoveryScheduleResponse:
      type: object
      properties:
        schedule:
          anyOf:
            - $ref: '#/components/schemas/PublicDiscoverySchedule'
            - type: 'null'
      required:
        - schedule
      additionalProperties: false
    PublicDiscoverySchedule:
      type: object
      properties:
        id:
          type: string
          format: uuid
        schedule_type:
          type: string
          enum:
            - daily
            - weekly
        scheduled_time:
          type: string
        day_of_week:
          type:
            - integer
            - 'null'
        timezone:
          type: string
        is_active:
          type: boolean
        next_run_at:
          type:
            - string
            - 'null'
          format: date-time
        last_run_at:
          type:
            - string
            - 'null'
          format: date-time
        last_run_errored:
          type: boolean
        error_message:
          type:
            - string
            - 'null'
      required:
        - id
        - schedule_type
        - scheduled_time
        - day_of_week
        - timezone
        - is_active
        - next_run_at
        - last_run_at
        - last_run_errored
        - error_message
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key generated from the MindFort dashboard. Pass as `Authorization:
        Bearer <your-api-key>`.

````